Name:           libiodbc
Version:        3.52.14
Release:        %mkrel 1
Summary:        The iODBC Driver Manager
Group:          System/Libraries
License:        BSD
URL:            http://www.iodbc.org/
Source:         https://github.com/openlink/iODBC/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(gtk+-2.0)

%description
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

#---------------------------------------------------------------

%define soname 2
%define libname %mklibname iodbc %{soname}

%package -n %{libname}
Summary:        The iODBC Driver Manager main library
Group:          System/Libraries

%description -n %{libname}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libname}
%{_libdir}/libiodbc.so.%{soname}*

#---------------------------------------------------------------

%define instsoname 2
%define libnameinst %mklibname iodbcinst %{instsoname}

%package -n %{libnameinst}
Summary:        The iODBC Driver Manager main library
Group:          System/Libraries

%description -n %{libnameinst}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libnameinst}
%{_libdir}/libiodbcinst.so.%{instsoname}*

#---------------------------------------------------------------

%package util
Summary:        The iODBC Driver Manager common binary files
Group:          System/Libraries

%description util
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files util
%{_bindir}/iodbctest
%{_bindir}/iodbctestw
%{_mandir}/man1/iodbctest.1*
%{_mandir}/man1/iodbctestw.1*

#---------------------------------------------------------------

%define drvproxysoname 2
%define libnamedrvproxy %mklibname drvproxy %{drvproxysoname}

%package -n %{libnamedrvproxy}
Summary:        The iODBC Driver Manager main library
Group:          System/Libraries

%description -n %{libnamedrvproxy}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libnamedrvproxy}
%{_libdir}/libdrvproxy.so.%{drvproxysoname}*

#---------------------------------------------------------------

%define admsoname 2
%define libnameadm %mklibname iodbcadm %{admsoname}

%package -n %{libnameadm}
Summary:        The iODBC Driver Manager main library
Group:          System/Libraries

%description -n %{libnameadm}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libnameadm}
%{_libdir}/libiodbcadm.so.%{admsoname}*

#---------------------------------------------------------------

%package admin
Summary:        GTK based administrator for iODBC development
Group:          System/Libraries

%description admin
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

This package contains a GTK based administrator program for maintaining
DSN information in odbc.ini and odbcinst.ini files.

%files admin
%{_bindir}/iodbcadm-gtk
%{_mandir}/man1/iodbcadm-gtk.1*

#---------------------------------------------------------------

%define libdev %mklibname iodbc -d

%package -n %{libdev}
Summary:        header files and libraries for iODBC development
Group:          Development/Libraries
Provides:       iodbc-devel = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libnameinst} = %{version}-%{release}
Requires:       %{name}-util = %{version}-%{release}
Requires:       %{libnamedrvproxy} = %{version}-%{release}
Requires:       %{libnameadm} = %{version}-%{release}
Requires:       unixODBC-devel

%description -n %{libdev}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

This package contains the header files and libraries needed to develop
program that use the driver manager.

%files -n %{libdev}
%{_includedir}/*
%{_libdir}/*.so
%{_bindir}/iodbc-config
%{_libdir}/pkgconfig/libiodbc.pc
%{_mandir}/man1/iodbc-config.1*
%{_datadir}/libiodbc
%multiarch %{_bindir}/%{multiarch_platform}/iodbc-config

#---------------------------------------------------------------

%prep
%setup -q -n iODBC-%{version}

%build
./autogen.sh
%configure2_5x \
	--enable-odbc3 \
	--disable-libodbc \
	--enable-gui \
	--disable-static \
	--with-iodbc-inidir=%{_sysconfdir} \
	--includedir=%{_includedir}/iodbc \
	--enable-pthreads

# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
rm -rf %buildroot
%make_install

# we don't want this
find %{buildroot} -name '*.la' -delete

# Multiarch fixes
%multiarch_binaries %{buildroot}/%{_bindir}/iodbc-config


%changelog
* Mon May 10 2021 tex - 2.52.14-1pclos2021
- new version
